# 009_taire_note2.dat   3C*****
# The party may suffer more arrest attempts and -1 to reputation. They will get another note
# pleading for them to please see the mysterious woman.
# Someone has placed a note in your hand...
# reading the note in hand (***PIC ***)
#
# Check to see if they have been to Taire_house (if they didn't choose either yes or no then
#   they have not been there)this checks to see if they have said yes or no to the questions
#   that are asked inside the house.
from eventAPI import *
from APIUtils import *
from SDLKeys import *

def fireEvent(e):
    TairePlt1 = getTag(e, "TairePlt1")
    if (not issetall(TairePlt1, 0xC)):
        # didn't refuse the Dorukan quest or already received a note about it
        return 1
    setTag(e, "TairePlt1", TairePlt1 | 0x8)
    showMessage(e,
        ["You are handed a note and the courier speeds off, his voice trailing around the corner, before you can see him...",
         "",
         "\"Read this with a quickness and be gone... \""])
    showPicture(e, "002_Note_Taire")
    optionInput(e,
        ["Who IS this watcher?"],
        ["(SPACE) to walk away"], [SDLK_SPACE])
    return 1
